Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class PortletURLGenerationListenerChain

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletURLGenerationListenerChain

All Implemented Interfaces:
  javax.portlet.PortletURLGenerationListener

    public class PortletURLGenerationListenerChain

extends java.lang.Object
implements javax.portlet.PortletURLGenerationListener

An implementation of the API that chains.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`PortletURLGenerationListenerChain(java.util.List<javax.portlet.PortletURLGenerationListener> listeners)`

Method Summary
`void` | `filterActionURL(PortletURL portletURL)`
`void` | `filterRenderURL(PortletURL portletURL)`
`void` | `filterResourceURL(javax.portlet.ResourceURL resourceURL)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletURLGenerationListenerChain

    public PortletURLGenerationListenerChain(java.util.List<javax.portlet.PortletURLGenerationListener> listeners)

Method Detail

### filterActionURL

    public void filterActionURL(PortletURL portletURL)

  Specified by:
    `filterActionURL` in interface `javax.portlet.PortletURLGenerationListener`

### filterRenderURL

    public void filterRenderURL(PortletURL portletURL)

  Specified by:
    `filterRenderURL` in interface `javax.portlet.PortletURLGenerationListener`

### filterResourceURL

    public void filterResourceURL(javax.portlet.ResourceURL resourceURL)

  Specified by:
    `filterResourceURL` in interface `javax.portlet.PortletURLGenerationListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.